# Vue.js Helper Libs
Vue.js Helpers for maintain of the application on bootstrap.

> This project was generated by [Vessel](https://www.npmjs.com/package/@mornya/vessel).

## About
Vue.js 프로젝트 부트스트래핑을 위한 라이브러리.

## Installation
해당 모듈을 사용할 프로젝트에서는 아래와 같이 설치한다.
```bash
$ npm install --save @mornya/vue-helper
or
$ yarn add @mornya/vue-helper
```

## Usage
src/main.js에서 각 router, store, plugins 등의 설정을 옵션으로 넘겨준다.
```vue
import Vue from 'vue'
import Vuex from 'vuex'
import * as appPlugins from '@/plugins'
import * as appRouter from '@/router'
import * as appModulesStore from '@/store'
import appRootStore from '@/store/root'
import App from '@/App'

const { buildEnv, router, store } = Maintainer.initialize(Vue, {
  isShowLog: process.env.NODE_ENV === 'development',
  router: {
    routes: appRouter,
    fallback: {
      // fallback to 404
      path: '/*',
      name: 'application.404',
      component: () => import(/* webpackChunkName: "application.404" */ '@/views/Application/PageNotFound.vue'),
    },
    option: {
      // Vue-Router 옵션
      base: process.env.BASE_URL,
      scrollBehavior () {
        return { x: 0, y: 0 }
      },
    },
  },
  store: {
    vuex: Vuex,
    root: appRootStore,
    modules: appModulesStore,
  },
  plugins: appPlugins,
  serviceWorker: {
    isRegister: process.env.NODE_ENV === 'production',
    base: '/',
    file: 'service-worker.js',
  },
  filter: {},
  prototype: {}, // 정상 처리되지만 IDE에서 코드인식에 문제가 있다 (Vue.prototype 사용).
  component: {}, // 정상 처리되지만 IDE에서 코드인식에 문제가 있다 (Vue.component 사용).
})

Vue.prototype.$env = buildEnv // 라이브러리 내에서 동일하게 설정됨.

new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#app')
```

## License
해당 프로젝트의 [LICENSE](LICENSE) 파일 참조.
